﻿<?php
get_header();

?>

<h2><?php the_archive_title(); ?></h2>
<!-- Start the Loop. -->
<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
	<article id="post-<?php the_ID(); ?>" <?php post_class('clearfix'); ?>>
		<h3><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php _e( 'Permanent link to','onlook' ); ?> <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h3>
		<small>
			<?php
				/* translators: 1: date, 2: time */
				printf(__( 'Published: %1s at %2s','onlook'), get_the_date(), get_the_time()); ?>
            <?php edit_post_link( __('Edit Post','onlook') , '| '); ?>
        </small>
		<!-- Display the Post's content in a div box. -->
		<div class="post-content">
			<?php 
			the_excerpt();
			?>
		</div>
	</article> <!-- closes the first div box -->
	<!-- Stop The Loop (but note the "else:" - see next line). -->
	<?php endwhile; ?>
<!-- End of the main loop -->

<!-- Add the pagination functions here. -->

<?php the_posts_pagination( array(
    'mid_size' => 2,
) ); ?>

<?php else : ?>
<!-- The very first "if" tested to see if there were any Posts to -->
<!-- display.  This "else" part tells what do if there weren't any. -->
<p><?php _e( 'Sorry, no posts matched your criteria.','onlook' ); ?></p>

<!-- REALLY stop The Loop. -->
<?php endif; ?>
</main>

<?php
get_sidebar();
get_footer();
?>