<?php
get_header();

?>
<section>
<h1 class="hide">Novinky</h1>
<!-- Start the Loop. -->
<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
	<article id="post-<?php the_ID(); ?>" <?php post_class('clearfix'); ?>>
		<h2><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php _e( 'Permanent link to','onlook' ); ?> <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
		<small>
			<?php
				/* translators: 1: date, 2: time */
				printf(__( 'Published: %1s at %2s','onlook'), get_the_date(), get_the_time()); ?>
            <?php edit_post_link( __('Edit Post','onlook') , '| '); ?>
        </small>
		<!-- Display the Post's content in a div box. -->
		<div class="post-content">
			<?php
			if ( has_post_thumbnail() ) {
				the_post_thumbnail( 'thumbnail', array( 'class' => 'alignleft post-thumb' ) );
			} 
			the_content();
			?>
		</div>
		<!-- Display a comma separated list of the Post's Categories. -->
		<?php the_tags( '<small class="clearfix">'.__( 'Tags','onlook' ).': ', ', ','</small>' ); ?>
	</article> <!-- closes the first div box -->
	<!-- Stop The Loop (but note the "else:" - see next line). -->
	<?php endwhile; ?>
<!-- End of the main loop -->

<!-- Add the pagination functions here. -->

<?php the_posts_pagination( array(
    'mid_size' => 2,
) ); ?>

<?php else : ?>
<!-- The very first "if" tested to see if there were any Posts to -->
<!-- display.  This "else" part tells what do if there weren't any. -->
<p><?php _e( 'Sorry, no posts matched your criteria.','onlook' ); ?></p>

<!-- REALLY stop The Loop. -->
<?php endif; ?>
</section>
</main>

<?php
get_sidebar();
get_footer();
?>