﻿<?php
get_header();

?>

<!-- Start the Loop. -->
<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
	<article id="post-<?php the_ID(); ?>" <?php post_class('clearfix'); ?>>
		<h2><?php the_title(); ?></h2>
		<div class="post-content">
			<?php
			if ( has_post_thumbnail() ) {
				the_post_thumbnail( 'thumbnail' );
			} 
			the_content();
			?>
			<small>
			<?php _e( 'Last Modified','onlook' ); ?>:
			<?php the_modified_date();?> | <?php _e( 'Author','onlook' ); ?>: 
            <?php the_author_posts_link();?>
            <?php edit_post_link( __('Edit Page','onlook') , '| '); ?>
	        </small>
		</div>
	</article> <!-- closes the first div box -->
	<!-- Stop The Loop (but note the "else:" - see next line). -->
	<?php endwhile; 
	
	else : ?>
<!-- The very first "if" tested to see if there were any Posts to -->
<!-- display.  This "else" part tells what do if there weren't any. -->
<p><?php _e( 'Sorry, no posts matched your criteria.','onlook' ); ?></p>

<!-- REALLY stop The Loop. -->
<?php endif; ?>

</main>

<?php
get_sidebar();
get_footer();
?>