﻿<?php
get_header();

?>

<!-- Start the Loop. -->
<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
	<article id="post-<?php the_ID(); ?>" <?php post_class('clearfix'); ?>>
		<h2><?php the_title(); ?></h2>
		<small>
        	<?php
            	/* translators: 1: date, 2: time */
				printf(__( 'Published: %1s at %2s','onlook'), get_the_date(), get_the_time()); ?> | 
            <?php the_author_posts_link();?>
            <?php edit_post_link( __('Edit Post','onlook') , '| '); ?>
        </small>
		<!-- Display the Post's content in a div box. -->
		<div class="post-content">
			<?php
			if ( has_post_thumbnail() ) {
				the_post_thumbnail( 'thumbnail', array( 'class' => 'alignleft post-thumb' ) );
			} 
			the_content();
			?>
		</div>
		<!-- Display a comma separated list of the Post's Categories. -->
		<?php the_tags( '<small class="clearfix" style="float:left;">'.__( 'Tags','onlook' ).': ', ', ','</small>' ); ?>
        <?php
			$defaults = array(
				'before'           => '<small style="float:right;">',
				'after'            => '</small>',
				'link_before'      => '',
				'link_after'       => '',
				'next_or_number'   => 'next',
				'separator'        => ' | ',
				'nextpagelink'     => __( 'Next page','onlook' ),
				'previouspagelink' => __( 'Previous page','onlook' ),
				'pagelink'         => '%',
				'echo'             => 1
			); 
			wp_link_pages( $defaults );
		?>
	</article> <!-- closes the first div box -->
    <aside>
			<?php if ( comments_open() || get_comments_number() ) {
				comments_template();
			}?>
    </aside>
	<!-- Stop The Loop (but note the "else:" - see next line). -->
	<?php endwhile; else : ?>
<!-- The very first "if" tested to see if there were any Posts to -->
<!-- display.  This "else" part tells what do if there weren't any. -->
<p><?php _e( 'Sorry, no posts matched your criteria.','onlook' ); ?></p>

<!-- REALLY stop The Loop. -->
<?php endif; ?>
</main>

<?php
get_sidebar();
get_footer();
?>